<?xml version="1.0" encoding="UTF_8"?>
    <SensorHalCap>
        <tag key="HAL_CUSTOM_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t">
            <value type="string2Enum">CAMERA_FORMAT_STANDARD_RAW16</value>
            <value>8192</value>
            <value>6144</value>
            <value type="string2Enum">CAMERA_SCALER_AVAILABLE_STREAM_CONFIGURATIONS_OUTPUT</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t">
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_PRIVATE_APERTURE_TELE_RESOLUTION" type="int32_t">
            <value>7408</value>
            <value>5560</value>
            <value>1600</value>
            <value>1200</value>
            <value>3648</value>
            <value>2736</value>
            <value>1600</value>
            <value>1200</value>
            <value>2736</value>
            <value>2736</value>
            <value>1200</value>
            <value>1200</value>
            <value>3648</value>
            <value>1824</value>
            <value>1200</value>
            <value>800</value>
            <value>3648</value>
            <value>1712</value>
            <value>1600</value>
            <value>752</value>
            <value>3648</value>
            <value>1680</value>
            <value>1600</value>
            <value>752</value>
        </tag>
        <tag key="HAL_CUSTOM_WIDER_TO_MAIN_CROP_SIZES_SUPPORTED_LIST" type="int32_t">
            <value>7408</value>
            <value>5560</value>
            <value>2688</value>
            <value>2016</value>
            <value>3648</value>
            <value>2736</value>
            <value>2688</value>
            <value>2016</value>
            <value>2736</value>
            <value>2736</value>
            <value>2016</value>
            <value>2016</value>
            <value>3648</value>
            <value>1824</value>
            <value>2688</value>
            <value>1344</value>
            <value>3648</value>
            <value>1680</value>
            <value>3648</value>
            <value>1712</value>
            <value>2768</value>
            <value>1264</value>
            <value>4096</value>
            <value>3072</value>
            <value>3008</value>
            <value>2256</value>
            <value>3072</value>
            <value>3072</value>
            <value>2256</value>
            <value>2256</value>
            <value>4096</value>
            <value>1864</value>
            <value>3008</value>
            <value>1376</value>
        </tag>
        <tag key="HAL_CUSTOM_BIG_APERTURE_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_REDMAP_ACTIVE_ARRAY_SIZE" type="int32_t">
            <value>960</value>
            <value>540</value>
            <value>720</value>
            <value>540</value>
            <value>540</value>
            <value>540</value>
            <value>1280</value>
            <value>720</value>
            <value>960</value>
            <value>720</value>
            <value>720</value>
            <value>720</value>
        </tag>
        <tag key="HAL_CUSTOM_DMAP_DENSE_MAX_ACTIVE_SIZE" type="int32_t">
            <value>960</value>
            <value>540</value>
        </tag>
        <tag key="HAL_CUSTOM_DMAP_CAMERA_ALGORITHM_ALIGN_LIMITED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_PRIVATE_DMAP_SCENE_SUPPORT_LIST" type="int32_t">
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MONO_APERTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_DUAL</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE_VIDEO</value>
        </tag>
        <tag key="HAL_PRIVATE_LTMPLUS_SCENE_SUPPORT_LIST" type="int32_t">
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO_VIDEO</value>
        </tag>
        <tag key="HAL_CUSTOM_OPTICAL_ZOOM_THRESHOLD" type="uint8_t">
            <value>10</value>
            <value>5</value>
        </tag>
        <tag key="HAL_PRIVATE_CAMERA_RESOLUTION_FOR_OPTIMIZED_EIS" type="int32_t">
            <value type="string2Enum">LOGICAL_ID_FIRST_CAMERA</value>
            <value>4096</value>
            <value>2304</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>4608</value>
            <value>2592</value>
            <value type="string2Enum">LOGICAL_ID_THIRD_CAMERA</value>
            <value>4000</value>
            <value>2250</value>
        </tag>
        <tag key="HAL_PRIVATE_NEED_HEBC_SCENE" type="int32_t">
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_CAPTURE</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_NORMAL_VIDEO</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
            <value type="string2Enum">CAMERA_CUSTOM_SM_SUPER_MACRO_VIDEO</value>
            <value>0</value>
            <value>0</value>
            <value>0</value>
        </tag>
        <tag key="HAL_CUSTOM_FOV_RATIO_VALUES" type="float">
            <value>1.0</value>
            <value>0.48</value>
            <value>3.3</value>
        </tag>
        <tag key="HAL_PRIVATE_DCM_SUPPORTED_SCENES" type="int32_t">
            <value type="string2Enum">CAMERA_PRIVATE_SM_BURST</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_SUPER_MACRO_VIDEO</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_MOVING_PICTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PERFORMANCE_CAPTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE_VIDEO</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_DUAL</value>
        </tag>
        <tag key="HAL_CUSTOM_TRACKING_MODE_SUPPORTED" type="uint8_t">
             <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_STORY_MODE_SUPPORTED" type="uint8_t">
             <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_STORY_MODE_SENSORSIZE" type="int32_t">
            <value>3984</value>
            <value>2240</value>
        </tag>
        <tag key="HAL_CUSTOM_TRACKING_MODE_SENSORSIZE" type="int32_t">
            <value>3984</value>
            <value>2240</value>
        </tag>
        <tag key="HAL_PRIVATE_DCM_SUPPORTED_DMAP_RESOLUTION" type="uint32_t">
            <!-- 4:3 -->
            <value>720</value>
            <value>540</value>
            <!-- 1:1 -->
            <value>608</value>
            <value>540</value>
            <!-- 16:9 -->
            <value>768</value>
            <value>432</value>
            <!-- full screen -->
            <value>736</value>
            <value>320</value>
        </tag>
    </SensorHalCap>
